'use strict';

const tslib_es6 = require('../../../../../tslib@2.8.1/node_modules/tslib/tslib.es6.cjs');
const React = require('react');
const UI = require('./UI.cjs');
const sidecar = require('./sidecar.cjs');

function _interopNamespaceCompat(e) {
	if (e && typeof e === 'object' && 'default' in e) return e;
	const n = Object.create(null);
	if (e) {
		for (const k in e) {
			n[k] = e[k];
		}
	}
	n.default = e;
	return n;
}

const React__namespace = /*#__PURE__*/_interopNamespaceCompat(React);

var ReactRemoveScroll = React__namespace.forwardRef(function (props, ref) { return (React__namespace.createElement(UI.RemoveScroll, tslib_es6.__assign({}, props, { ref: ref, sideCar: sidecar }))); });
ReactRemoveScroll.classNames = UI.RemoveScroll.classNames;

module.exports = ReactRemoveScroll;
